Subject: Compact view of history in gitk

From: Yakup Akbay <[email-masked]>
Date: Tue, 29 Sep 2009 14:49:09 +0300

Hi,

imagine a git history with many branches and many many commits in it,

which you cannot have a bird's eye view to the whole git history
(consider linux kernel). What I'm looking for is to see is a graphical
history representation with only the tip of all branches plus all merge
bases drwan like a molecul shape, where all intermediate commits are
replaced by a single symbol like '~'. 

Think of the gitk version of the history below:

                  E-*-*-*-F
                 /
A-*-*-*-*-*-*-B-C-*-*-*-D
               \
                G-*-*-H-*-*-*-I
                       \
                        J-*-*-*-*-*-K

I want an output like this:

        E-~-F
       /
A-~-B-C-~-D
     \
      G-~-H-~-I
           \
            J-~-K

Is there an option in gitk (or in any other tool) to get such a view? 

Yakup